"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var ButtonIcon_1 = require("./ButtonIcon");
var Demo_1 = require("../demo/Demo");
var list_item_tick_icon_1 = require("../../icons/list-item-tick-icon");
var css = require("./ButtonIcon.page.styl");
var buttonTheme = {
    container: css.button,
    icon: css.icon,
};
var icon = React.createElement(list_item_tick_icon_1.ListItemTickIcon, null);
react_1.storiesOf('ButtonIcon', module)
    .add('Default', function () {
    return (React.createElement(Demo_1.default, null,
        React.createElement(ButtonIcon_1.ButtonIcon, { icon: icon, theme: buttonTheme })));
})
    .add('Flat', function () { return (React.createElement(Demo_1.default, null,
    React.createElement(ButtonIcon_1.ButtonIcon, { icon: icon, theme: buttonTheme, isFlat: true }))); })
    .add('Disabled', function () { return (React.createElement(Demo_1.default, null,
    React.createElement(ButtonIcon_1.ButtonIcon, { icon: icon, theme: buttonTheme, isFlat: true }))); });
//# sourceMappingURL=ButtonIcon.page.js.map