"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var Input_1 = require("../input/Input");
var inputTheme = require("../input/Input.demo.styl");
var Button_1 = require("../Button/Button");
var buttonTheme = require("../Button/Button.styl");
var LoadingIndicator_1 = require("../LoadingIndicator/LoadingIndicator");
var loadingIndicatorTheme = require("../LoadingIndicator/LoadingIndicator.demo.styl");
var Checkbox_1 = require("../Checkbox/Checkbox");
var checkboxTheme = require("../Checkbox/Checkbox.demo.styl");
var Popover_1 = require("../Popover/Popover");
var popoverTheme = require("../Popover/demo/theme/Popover.demo.styl");
var List_1 = require("../List/List");
var listTheme = require("../List/List.demo.styl");
var Menu_1 = require("../Menu/Menu");
var menuTheme = require("../Menu/Menu.demo.styl");
var Selectbox_1 = require("../Selectbox/Selectbox");
var selectBoxTheme = require("../Selectbox/Selectbox.demo.styl");
var Table_1 = require("../Table/Table");
var tableTheme = require("../Table/Table.demo.styl");
var HorizontalScrollbar_1 = require("../Scrollbar/HorizontalScrollbar");
var horScrollbar = require("../Scrollbar/HorizontalScrollbar.demo.styl");
var VerticalScrollbar_1 = require("../Scrollbar/VerticalScrollbar");
var vertScrollbar = require("../Scrollbar/VerricalScrollbar.demo.styl");
var Scrollable_1 = require("../Scrollable/Scrollable");
var scrollableTheme = require("../Scrollable/Scrollable.styl");
var Grid_1 = require("../Grid/Grid");
var gridTheme = require("../Grid/Grid.styl");
var ButtonIcon_1 = require("../ButtonIcon/ButtonIcon");
var buttonIconTheme = require("../ButtonIcon/ButtonIcon.styl");
var PasswordInput_1 = require("../PasswordInput/PasswordInput");
var passwordInputTheme = require("../PasswordInput/PasswordInput.demo.styl");
var Link_1 = require("../Link/Link");
var linkTheme = require("../Link/Link.styl");
var ToggleButtons_1 = require("../ToggleButtons/ToggleButtons");
var toggleButtonsTheme = require("../ToggleButtons/ToggleButtons.demo.styl");
var LoadingIndication_1 = require("../LoadingIndication/LoadingIndication");
var loadingIndicationTheme = require("../LoadingIndication/LoadingIndication.demo.styl");
var Popup_1 = require("../Popup/Popup");
var popupTheme = require("../Popup/Popup.demo.styl");
var SteppableInput_1 = require("../SteppableInput/SteppableInput");
var steppableInput = require("../SteppableInput/theme/SteppableInput.styl");
var steppableInputInput = require("../SteppableInput/theme/Input.styl");
var steppableInputButtonIcon = require("../SteppableInput/theme/ButtonIcon.demo.styl");
var TimeInput_1 = require("../TimeInput/TimeInput");
var timeInput = require("../TimeInput/theme/TimeInput.styl");
var DateInput_1 = require("../DateInput/DateInput");
var dateInputTheme = require("../DateInput/theme/DateInput.demo.styl");
var dateInputButtonIconTheme = require("../DateInput/theme/ButtonIcon.demo.styl");
var Autocomplete_1 = require("../Autocomplete/Autocomplete");
var autocompleteTheme = require("../Autocomplete/Autocomplete.styl");
var Expandable_1 = require("../Expandable/Expandable");
var expandableTheme = require("../Expandable/Expandable.demo.styl");
exports.default = (_a = {},
    _a[Input_1.INPUT] = inputTheme,
    _a[Button_1.BUTTON] = buttonTheme,
    _a[LoadingIndicator_1.LOADING_INDICATOR] = loadingIndicatorTheme,
    _a[Checkbox_1.CHECKBOX] = checkboxTheme,
    _a[Popover_1.POPOVER] = popoverTheme,
    _a[List_1.LIST] = listTheme,
    _a[Menu_1.MENU] = menuTheme,
    _a[Selectbox_1.SELECTBOX] = selectBoxTheme,
    _a[Expandable_1.EXPANDABLE] = expandableTheme,
    _a[Table_1.TABLE] = tableTheme,
    _a[HorizontalScrollbar_1.HORIZONTAL_SCROLLBAR] = horScrollbar,
    _a[VerticalScrollbar_1.VERTICAL_SCROLLBAR] = vertScrollbar,
    _a[Scrollable_1.SCROLLABLE] = scrollableTheme,
    _a[Autocomplete_1.AUTOCOMPLETE] = autocompleteTheme,
    _a[Grid_1.GRID] = gridTheme,
    _a[ButtonIcon_1.BUTTON_ICON] = buttonIconTheme,
    _a[DateInput_1.DATE_INPUT] = tslib_1.__assign(tslib_1.__assign({}, dateInputTheme), { ButtonIcon: dateInputButtonIconTheme, CalendarButtonIcon: dateInputButtonIconTheme }),
    _a[SteppableInput_1.STEPPABLE_INPUT] = tslib_1.__assign(tslib_1.__assign({}, steppableInput), { Input: steppableInputInput, ButtonIcon: steppableInputButtonIcon, ClearButtonIcon: steppableInputButtonIcon }),
    _a[TimeInput_1.TIME_INPUT] = timeInput,
    _a[PasswordInput_1.PASSWORD_INPUT] = {
        container: passwordInputTheme.container,
        Input: {
            container: passwordInputTheme.input,
        },
        RevealButton: {
            container: passwordInputTheme.button,
            icon: passwordInputTheme.icon,
        },
    },
    _a[Link_1.LINK] = linkTheme,
    _a[ToggleButtons_1.TOGGLE_BUTTONS] = toggleButtonsTheme,
    _a[LoadingIndication_1.LOADING_INDICATION] = loadingIndicationTheme,
    _a[Popup_1.POPUP] = popupTheme,
    _a);
//# sourceMappingURL=theme.js.map