"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var react_1 = require("react");
var react_2 = require("@storybook/react");
var Demo_1 = require("../demo/Demo");
var Deferred_1 = require("./Deferred");
var DeferredPage = /** @class */ (function (_super) {
    tslib_1.__extends(DeferredPage, _super);
    function DeferredPage() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            counter: 0,
        };
        return _this;
    }
    DeferredPage.prototype.componentWillMount = function () {
        var _this = this;
        this.interval = window.setInterval(function () {
            _this.setState({
                counter: _this.state.counter + 1,
            });
        }, 3000);
    };
    DeferredPage.prototype.componentWillUnmount = function () {
        clearInterval(this.interval);
    };
    DeferredPage.prototype.render = function () {
        var _this = this;
        return (React.createElement(Demo_1.default, null,
            React.createElement("div", null, "Additional content will render in 2 seconds..."),
            React.createElement(Deferred_1.Deferred, { render: function () { return React.createElement("div", null,
                    "I'm heavy timer: ",
                    _this.state.counter); }, delay: 2000 })));
    };
    return DeferredPage;
}(react_1.PureComponent));
react_2.storiesOf('Deferred', module).add('default', function () { return React.createElement(DeferredPage, null); });
//# sourceMappingURL=Deferred.page.js.map