"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var pure_1 = require("../../utils/pure");
var withTheme_1 = require("../../utils/withTheme");
exports.EXPANDABLE_HEADER = Symbol();
var RawExpandableHandler = /** @class */ (function (_super) {
    tslib_1.__extends(RawExpandableHandler, _super);
    function RawExpandableHandler() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RawExpandableHandler.prototype.render = function () {
        var _a = this.props, theme = _a.theme, children = _a.children;
        return React.createElement("div", { className: theme.container }, children);
    };
    RawExpandableHandler = tslib_1.__decorate([
        pure_1.PURE
    ], RawExpandableHandler);
    return RawExpandableHandler;
}(React.Component));
exports.ExpandableHandler = withTheme_1.withTheme(exports.EXPANDABLE_HEADER)(RawExpandableHandler);
//# sourceMappingURL=ExpandableHandler.js.map