import * as React from 'react';
import { PopoverPlacement, PopoverAlign } from '../Popover.model';
declare enum VericalButtonPosition {
    Top = 0,
    Middle = 1,
    Bottom = 2
}
declare enum HorizontalButtonPosition {
    Left = 0,
    Center = 1,
    Right = 2
}
declare type TFixedPopoverPageState = Readonly<{
    isOpened: boolean;
    placement: PopoverPlacement;
    align: PopoverAlign;
    verticalButtonPosition: VericalButtonPosition;
    horizontalButtonPosition: HorizontalButtonPosition;
}>;
export declare class FixedPopoverPage extends React.Component<{}, TFixedPopoverPageState> {
    private anchor;
    private block;
    readonly state: TFixedPopoverPageState;
    render(): JSX.Element;
    private onToggle;
    private onPopoverRequestClose;
    private onPlacementSelect;
    private onAlignSelect;
    private onHorizontalAlignSelect;
    private onVerticalAlignSelect;
}
export {};
