"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var pure_1 = require("../../utils/pure");
var Pure = /** @class */ (function (_super) {
    tslib_1.__extends(Pure, _super);
    function Pure() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Pure.prototype.shouldComponentUpdate = function (newProps, newState) {
        var propsCopy = Object.assign({}, this.props);
        var newPropsCopy = Object.assign({}, newProps);
        delete propsCopy['children'];
        delete newPropsCopy['children'];
        return pure_1.shouldComponentUpdate(propsCopy, this.state, newPropsCopy, newState);
    };
    Pure.prototype.render = function () {
        var children = this.props.children;
        return children();
    };
    return Pure;
}(React.Component));
exports.Pure = Pure;
//# sourceMappingURL=Pure.js.map