"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var withTheme_1 = require("../../utils/withTheme");
var DefaultTheme_1 = require("../DefaultTheme/DefaultTheme");
var css = require("./Demo.styl");
var DEMO = Symbol();
var RawDemoComponent = /** @class */ (function (_super) {
    tslib_1.__extends(RawDemoComponent, _super);
    function RawDemoComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RawDemoComponent.prototype.render = function () {
        var _a = this.props, children = _a.children, theme = _a.theme;
        return React.createElement("section", { className: theme.container }, children);
    };
    return RawDemoComponent;
}(React.Component));
exports.DemoComponent = withTheme_1.withTheme(DEMO, css)(RawDemoComponent);
var Demo = function (props) { return (React.createElement(DefaultTheme_1.DefaultTheme, null,
    React.createElement(exports.DemoComponent, { theme: props.theme }, props.children))); };
exports.Demo = Demo;
exports.default = Demo;
//# sourceMappingURL=Demo.js.map