"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var react_1 = require("@storybook/react");
var Demo_1 = require("../demo/Demo");
var Menu_1 = require("./Menu");
var css = require("./Menu.page.styl");
var theme = {
    container: css.list,
};
var Item = function (props) { return React.createElement(Menu_1.MenuItem, tslib_1.__assign({}, props, { theme: theme })); };
var Group = function (props) { return React.createElement(Menu_1.MenuItemGroup, tslib_1.__assign({}, props, { theme: theme })); };
var onItemSelect = function (value) {
    console.log('selected', value);
};
react_1.storiesOf('Menu', module).add('default', function () {
    return (React.createElement(Demo_1.default, null,
        React.createElement(Menu_1.Menu, { onItemSelect: onItemSelect, theme: theme },
            React.createElement(Item, { value: "1.1" }, "1.1"),
            React.createElement(Item, { value: "1.2" }, "1.2"),
            React.createElement(Group, { header: "2" },
                React.createElement(Menu_1.Menu, null,
                    React.createElement(Item, { value: "2.1" }, "2.1"),
                    React.createElement(Item, { value: "2.2" }, "2.2"),
                    React.createElement(Group, { header: "3" },
                        React.createElement(Menu_1.Menu, null,
                            React.createElement(Item, { value: "3.1" }, "3.1"),
                            React.createElement(Item, { value: "3.2" }, "3.2"),
                            React.createElement(Group, { header: "3.3" },
                                React.createElement(Menu_1.Menu, null,
                                    React.createElement(Item, { value: "3.3.1" }, "3.3.1"),
                                    React.createElement(Item, { value: "3.3.2" }, "3.3.2"),
                                    React.createElement(Item, { value: "3.3.3" }, "3.3.3"))),
                            React.createElement(Item, { value: "3.4" }, "3.4"))))))));
});
//# sourceMappingURL=Menu.page.js.map