import { TButtonProps, TFullButtonProps } from '../Button/Button';
import { ComponentClass, ReactNode, ReactText } from 'react';
import { Omit } from 'typelevel-ts';
import { PartialKeys } from '@devexperts/utils/dist/object/object';
export declare type TFullSelectboxAnchorProps = Omit<TButtonProps, 'theme'> & {
    theme: TFullButtonProps['theme'] & {
        text?: string;
        content?: string;
        wrapperCaret?: string;
        caret?: string;
        container_isOpened?: string;
    };
    isOpened?: boolean;
    caretIcon?: ReactNode;
    value?: ReactText | ReactText[];
    valueText?: ReactNode;
};
export declare type TSelectboxAnchorProps = PartialKeys<TFullSelectboxAnchorProps, 'theme'>;
export declare const SelectboxAnchor: ComponentClass<TSelectboxAnchorProps>;
