import * as React from 'react';
import { PartialKeys } from '@devexperts/utils/dist/object/object';
export declare type TFullDemoComponentProps = JSX.IntrinsicAttributes & {
    theme: {
        container?: string;
    };
};
export declare type TDemoComponentProps = PartialKeys<TFullDemoComponentProps, 'theme'>;
export declare const DemoComponent: React.ComponentClass<TDemoComponentProps>;
declare const Demo: React.SFC<Partial<TFullDemoComponentProps>>;
export default Demo;
export { Demo };
